Extended file stream wrapper class which auto-creates directories

author | Michiel Rook
version | $Id: 463342405fce9caca61181db7e4412c3e1c6a91f $
package | phing.util

### Methods

## mkdir()

    mkdir($path, $mode, $options)

### Parameters

#### $path

#### $mode

#### $options

## registerStream()

    registerStream()

Static

## rename()

    rename($path_from, $path_to)

### Parameters

#### $path_from

#### $path_to

## rmdir()

    rmdir($path, $options)

### Parameters

#### $path

#### $options

## stream_close()

    stream_close()

## stream_eof()

    stream_eof()

## stream_flush()

    stream_flush()

## stream_open()

    stream_open($path, $mode, $options, $opened_path)

### Parameters

#### $path

#### $mode

#### $options

#### $opened_path

## stream_read()

    stream_read($count)

### Parameters

#### $count

## stream_seek()

    stream_seek($offset, $whence)

### Parameters

#### $offset

#### $whence

## stream_stat()

    stream_stat()

## stream_tell()

    stream_tell()

## stream_write()

    stream_write($data)

### Parameters

#### $data

## unlink()

    unlink($path)

### Parameters

#### $path

## unregisterStream()

    unregisterStream()

Static

## createDirectories()

    createDirectories($path)

### Parameters

#### $path

### Properties

##

    $fp